Device related Error in AppAutomate tests

Error Description
The device not specified or the combination of device, version, and operating system you may have entered (to use in your tests) is not supported.

Solution
Use the list of supported devices/versions to make sure your selections are valid.

For Appium (Set the device and os_version capabilities)
"device": "Samsung Galaxy S8 Plus"
"os_version": "9.0"
For Espresso/XCUITest/EarlGrey (Set the devices parameters)
"devices": ["Samsung Galaxy S8-7.0", "Google Nexus 6-6.0"]